function [x2 hlasitost]=nahraj(Fs,win,overlen)
%  close all
%  clear all
%  Fs = 16000;
%  win=512;
%  overlen=256;
hlasitost = 0; % přepínač, zda bylo slovo řečno dost nahlas. 1 = málo nahlas

x0 = wavrecord(3*Fs,Fs);
x=x0/max(x0);
%  figure(2)   
%  subplot(3,1,1)
%  plot(x)

E = energie(x,win,overlen);
%E=E\max(E);

 xE=zeros(1,length(E));    
     for i=1:length(E)        
         xE(i)=round(i*(length(x)/length(E)));
     end

 zacatek=round((find(E>=0.01)-3)*(length(x)/length(E)));
 zacatek=zacatek(1);
 if zacatek<=1
     zacatek=1;
     hlasitost = 1;
     disp('Slabá nahrávka, mluvte hlasitěji')
 end
 
konec=round((find(E>=0.01)+5)*(length(x)/length(E)));
konec=konec(end);

if konec>=length(x)
    konec=length(x);
    hlasitost = 1;
    disp('Slabá nahrávka, mluvte hlasitěji')
end
 
x2=x0(zacatek:konec);
 
%x=x/max(x);
%E=E/max(E);

% figure(10)
% subplot(3,1,1)
% plot(x)
% %hold on
% subplot(3,1,2)
% plot(x2)
% subplot(3,1,3)
% plot(xE,E,'r')